uniform sampler2D tex;

const float blurSize = 1.0/1024.0;

void main()
{
	vec4 sum = vec4(0.0);
	vec2 texCoord = gl_TexCoord[0].st;

	sum += texture2D(tex, vec2(texCoord.s - 9.0*blurSize, texCoord.t)) * 1.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 8.0*blurSize, texCoord.t)) * 2.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 7.0*blurSize, texCoord.t)) * 3.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 6.0*blurSize, texCoord.t)) * 4.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 5.0*blurSize, texCoord.t)) * 5.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 4.0*blurSize, texCoord.t)) * 6.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 3.0*blurSize, texCoord.t)) * 7.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 2.0*blurSize, texCoord.t)) * 8.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s - 1.0*blurSize, texCoord.t)) * 9.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t)) * 10.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 1.0*blurSize, texCoord.t)) * 9.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 2.0*blurSize, texCoord.t)) * 8.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 3.0*blurSize, texCoord.t)) * 7.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 4.0*blurSize, texCoord.t)) * 6.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 5.0*blurSize, texCoord.t)) * 5.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 6.0*blurSize, texCoord.t)) * 4.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 7.0*blurSize, texCoord.t)) * 3.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 8.0*blurSize, texCoord.t)) * 2.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s + 9.0*blurSize, texCoord.t)) * 1.0/100.0;

	gl_FragColor = sum;
}
